Page MenuHomePhabricator

Dashboard should prompt/automatically request IP throttle exemption
Closed, ResolvedPublic

Description

The problem

Wikimedia-Site-requests often receives last minute requests for IP throttle exemptions from event organisers. This may happen due to unfamiliarity with phabricator or the technical nature of making a request.

A possible solution

If an event organiser was prompted through the Programs & Events Dashboard to enter an estimated number of participants, and if this number was greater than (for example, 10) the organiser would be prompted to create a phabricator task. If possible, the dashboard could go as far as automagically creating a task.

Event Timeline

Samtar created this task.Sep 16 2017, 5:29 PM
Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptSep 16 2017, 5:29 PM
Kizule added a subscriber: Kizule.
Samtar updated the task description. (Show Details)Sep 16 2017, 5:34 PM

This is a good idea. I did some exploratory work for another way around the problem of new account IP limits for P&E Dashboard edit-a-thons, which would be based on an organizer having account creator rights and then being able to create a set of accounts at once from the dashboard. But that could work alongside a solution like this, with the account creator option being used if the user has that right, and falling back to this option.

BrillLyle added a subscriber: BrillLyle.EditedSep 20 2017, 6:14 AM

Having editors with Account Creator status is helpful, but the main problem with putting in a Phabricator request to lift the IP throttle is that the organizers need to have the IP address for the editathon from the partner organization where the event is taking place.

So for an event at MoMA in NYC, you would need to get the IP address / addresses (often there is more than one IP address) to get the lift implemented. It's often hard to get the partner to provide this IP address / addresses -- even if this is done in advance. It's typical that the partner has to go up the chain of their organization to get this information, and this is an unusual request.

I think it's a great proactive thing to try to do, to do this lift in advance, but just from past experience of larger events, this is not always easy or simple to do.

– Erika

The Account Creator approach is probably simplest.

However, generally someone can get the IP by going to the same venue/room where the editathon will be, then visiting a site like https://www.whatismyip.com/ . It shouldn't require talking to the IT team.

The Dashboard now supports the account creator approach: if the program creator has account creator rights and enables the feature for that event, then users can enter their desired usernames and emails, and the person with account creator rights can process all these requests through the dashboard; the new users will get their account credentials by email, and they'll be added to the program for edit tracking at the same time. This worked pretty well for Art+Feminism this year.

However, that's still a nontrivial amount of hoops for event organizers to jump through.

Samwalton9 closed this task as Resolved.Aug 21 2019, 9:46 AM
Samwalton9 claimed this task.
Samwalton9 added a subscriber: Samwalton9.

This should now be resolved via the admin bot which can create an unlimited number of accounts via the Dashboard.